

/* Basic definitions */
:root {
--basic_color:black;
--navlink:white;
--artikel_back: #faedcd98;
--nav_Leiste: #d4a37398;
--artikel_Farbabsatz_back:#e9edc998; 
--artike_schriftGroesse: medium;
}

@keyframes fadeIn { 
    from { opacity:0; transform: translateY(20px); }
    to { opacity: 1; transform: translateY(0); }
}

@media screen and (max-width: 530px){
    main {
        display:block;
    }
    article {
        width:auto;
    }
    
}



body {
    
    background-color:beige;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    margin: 0;
    background-image: url(img/kindergarten_back.png);
    background-size:cover;
    background-attachment: fixed;
    background-position: center center;
    background-repeat: no-repeat;
}

h1 {
   font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    color: var(--basic_color);
    text-align: center;
}

img {
    max-inline-size: 100%;
    height: auto;
    margin:auto; 
    border-radius: 15px;      
}

nav {
    background-color: var(--nav_Leiste);
    
}

nav ul {
    margin: 0;
    display: flex;
    list-style: none;
    justify-content: center;
}

nav a {
    color: var(--navlink);
    display: block;
    text-decoration: none;
    padding: 0.8rem;
    font-size: medium;

}

nav a:hover {
    font-style: italic;
}

nav a.aktuell {
    font-weight: bold;
}

main {
    max-width: 62rem;
    margin: auto;
    display: flex;
}

article {
    color:var(--basic_color);
    background-color: var(--artikel_back);
    width: 45%;
    margin: 1rem;
    font-size: var(--artike_schriftGroesse);
    padding: 1.5rem;
    border-radius: 15px;
    animation: fadeIn 1s forwards


}

article.farbabsatz {
    color:var(--basic_color);
    background-color: var(--artikel_Farbabsatz_back);
    width: 45%;
    margin: 1rem;
    font-size: var(--artike_schriftGroesse);
    padding: 1.5rem;
    border-radius: 15px;
    animation: fadeIn 1s forwards
    

}

.vorstand_art {
    border-radius: 50%;
    margin: 1.5rem;
    padding: 2rem;
}

.vorstand_art:hover {
    background: radial-gradient(circle, #4ade80, #ff9f1c);
    backdrop-filter: blur();
}



.btn--download {
    text-decoration: none;
    background-color: rgba(128, 128, 128, 0.7);
    
    border-radius: 7px;
    padding-inline: 1rem;
    justify-content: center;

}

.btn--download:hover {
    opacity: 80%;
    
}

hr {
    margin: 1rem;
}

article.index {
    background-color: var(--artikel_back);
    width: 67%;
    margin: auto;
    font-size: smaller;
    padding: 1.5rem;
    border-radius: 15px;
    font-size: medium;


}

div.vorstand {
    display:flex;
    max-width:fit-content;
    margin:auto;

}

div.index {
    display: flex;
    margin:inherit;
}

.textLink {

    color: var(--basic_color);
    font-style: italic;
    
}

.textLink:hover {
    font-weight: bolder;
}

.opener {
    color: var(--basic_color);
    
}

.containerImpressum {
    max-width: 900px;
    margin: auto;
    background: white;
    padding: 30px;
    border-radius: 15px;
            
}


.footer {
    font-size: small;
    background-color: var(--nav_Leiste);
    color: #ffffff;
    text-align: center;
    
}

.termine {
    display: flexbox;
    
    text-align: center;
}

/* playground styles*/

a {
    font-size: small;
    color: #ffffff;
}


label {
    display: block;
    margin-top: 15px;
    font-weight: bold;
    color: #444;
    
}

input, textarea {
    width: 80%;
    padding: 10px;
    border-radius: 10px;
    border: 2px solid #ffd166;
    margin-top: 5px;
    font-size: 16px;
}

button {
    margin-top: 20px;
    margin-bottom: 20px;
    background: var(--nav_Leiste);
    color: white;
    border: none;
    padding: 12px;
    border-radius: 15px;
    font-size: 18px;
    cursor: pointer;
    transition: 0.3s;
}

button:hover {
    background: #ffbf69;
}
.container {
    width: auto;
    max-width: 700px;
    margin: auto;
    background: var(--artikel_back);
    /*padding: 5px;*/
    border-radius: 20px;
    box-shadow: 0 5px 15px rgba(0,0,0,0.2);
    text-align: center;
}

